module Stele
  class Resource

    def self.build(**args)
      i = new(**args)

      {
        'attributes' => i.attributes,
        'operations' => i.operations
      }
    end

    attr_reader :attributes_definition, :operations

    def initialize(attributes:, operations:)
      @attributes_definition = attributes
      @operations = operations
    end

    def attributes
      @attributes_definition.keys
    end

  end
end
